- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# infini_vol – Create, Delete or Modify volumes on Infinibox

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- This module creates, deletes or modifies volume on Infinibox.

## Requirements

The below requirements are needed on the host that executes this module.

- capacity
- infinisdk
- python >= 2.7

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Volume Name
password string |  | Infinibox User password.
pool - / required |  | Pool that volume will reside on
size - |  | Volume size in MB, GB or TB units. See examples.
state - | Choices: present ← absent | Creates/Modifies volume when present or removes when absent
system string / required |  | Infinibox Hostname or IPv4 Address.
user - |  | Infinibox User username with sufficient priveledges ( see notes ).

## Notes

Note

- This module requires infinisdk python library
- You must set INFINIBOX_USER and INFINIBOX_PASSWORD environment variables if user and password arguments are not passed to the module directly
- Ansible uses the infinisdk configuration file `~/.infinidat/infinisdk.ini` if no credentials are provided. See http://infinisdk.readthedocs.io/en/latest/getting_started.html

## Examples

    - name: Create new volume named foo under pool named bar
      infini_vol:
        name: foo
        size: 1TB
        pool: bar
        state: present
        user: admin
        password: secret
        system: ibox001

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Gregory Shulov (@GR360RY)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.